Bug 222839 - mail/milter-greylist: Add configtest to rc
Summary: mail/milter-greylist: Add configtest to rc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-07 00:17 UTC by Masachika ISHIZUKA
Modified: 2018-03-17 21:53 UTC (History)
3 users (show)

See Also:
dbaio: maintainer-feedback+


Attachments
Add configtest to rc (340 bytes, patch)
2017-10-07 00:17 UTC, Masachika ISHIZUKA
no flags Details | Diff
Makefile (PORTREVISION is bumped) (311 bytes, patch)
2017-10-14 15:16 UTC, Masachika ISHIZUKA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Masachika ISHIZUKA 2017-10-07 00:17:15 UTC
Created attachment 186969 [details]
Add configtest to rc

I want to add 'configtest' extra_command to rc on mail/milter-greylist.
Comment 1 m.tsatsenko 2017-10-14 14:08:51 UTC
Hello,
Thanks for your work, but the patch needs one more tweak: since it causes binary change PORTREVISION should be bumped.
Comment 2 Masachika ISHIZUKA 2017-10-14 15:16:23 UTC
Created attachment 187164 [details]
Makefile (PORTREVISION is bumped)

PORTREVISION is increased.
Comment 3 m.tsatsenko 2017-10-21 15:57:03 UTC
Approved, Thanks
QA:
poudriere 111amd64 OK
portlint OK

One last thing: next time please try submitting patches as a single file because sometimes changes affects dozens of separate files and dealing with dozens of patches is a kind of nightmare.
Comment 4 commit-hook freebsd_committer 2018-03-17 21:52:13 UTC
A commit references this bug:

Author: dbaio
Date: Sat Mar 17 21:51:38 UTC 2018
New revision: 464850
URL: https://svnweb.freebsd.org/changeset/ports/464850

Log:
  mail/milter-greylist: Add configtest command in rcfile

  While here:
    Remove conflicts entry for milter-greylist-devel, port removed.
    Use macro @sample in config file.

  PR:		222839
  Submitted by:	Masachika ISHIZUKA <ish@amail.plala.or.jp>
  Approved by:	m.tsatsenko@gmail.com (maintainer)

Changes:
  head/mail/milter-greylist/Makefile
  head/mail/milter-greylist/files/milter-greylist.in
  head/mail/milter-greylist/pkg-plist
Comment 5 Danilo G. Baio freebsd_committer 2018-03-17 21:53:05 UTC
Committed, thank you both!